cbound(1)

Name
cbound - Calculates the boundary of a 2-tuple formed by the directed graph of the supplied rewriting system starting at that tuple.

Syntax

    cbound [-leftaction | -trivial] [inputfile]

Options

-leftaction
    Left actions are retained in boundary calculations.

-trivial
    (Default) Left actions are regarded as trivial and not retained.

inputfile
    the groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program. If no file name is given Standard Output is used.

Usage
This program is a 2-dimensional version of cboundn. In general you should use the newer cboundn. See cboundn for details.

Notes
The program will use the first 2 rewriting rules encountered from the left in it's calculations. The current implementation does not allow for users to choose which rewriting rules to use.

See also
cfsa(1) kbeqn(1) kbeqn2(1) cboundn(1)

Author
Jamie P. Curmi (4/11/94) for the Computational Tools for Homolgy of Groups Project